//SY20ZR00 JOB  (SYSGEN),TMVS801,
//*            RESTART=APPLYCK.HMASMP,
//             CLASS=A,MSGCLASS=A,MSGLEVEL=(1,1),REGION=3072K
//*
//* 2002/04/96 @KL TMVS801 ADD SECONDARY SUBSYSTEMS
//*
//RECEIVE  EXEC SMPREC,WORK='SYSALLDA'
//SMPPTFIN   DD DATA,DLM='??'
++ USERMOD(TMVS801) /* REWORK(20020624) */                 .
++ VER (Z038)
   FMID(EBB1102)
 /*
  PROBLEM DESCRIPTION(S):
    TMVS801 -
      Add secondary subsystems.

  COMPONENT:  5752-SC1B6-EBB1102

  SPECIAL CONDITIONS:
    ACTION:  An IPL is required after installation of
      this user modification.

  COMMENTS:
    LAST CHANGE:  2002/06/24

    THE FOLLOWING MODULES AND/OR MACROS ARE AFFECTED BY THIS USERMOD:

    MODULES
      IEFJSSNT

 */.
++ SRC      (IEFJSSNT) DISTLIB(AOSB3   ) SYSLIB(SAMPLIB ).
         TITLE 'IEFJSSNT - SUBSYSTEM NAMES TABLE'
IEFJSSNT CSECT
***********************************************************************
*                                                                     *
* MODULE NAME      - IEFJSSNT                                         *
*                                                                     *
* DESCRIPTIVE NAME - SUBSYSTEM NAMES TABLE                            *
*                                                                     *
* COPYRIGHT        - NONE                                             *
*                                                                     *
* STATUS - VS2 SU 16 - IN THIS MODULE, SU 16 SUPPORTS          @G16APPK
*                    VPSS SUPPORT (SU 29 - @G29ANSS).          @G16APPK
*                  - NEW FOR VS2 VECTOR PROCESSING SUBSYSTEM          *
*                    SUPPORT(SU29)                             @G29ANSS
*                                                                     *
* FUNCTION         - THIS MODULE (THE SUBSYSTEM NAMES TABLE) CONTAINS *
*                    A TABLE CONSISTING OF 80 CHARACTER ENTRIES AND   *
*                    IS FORMATED AS FOLLOWS:                          *
*                                                                     *
*                    ________________________________________________ *
*                    |      |                  |                    | *
*                    | NAME | ENTRY POINT NAME |  COMMENTS          | *
*                    |      |                  |                    | *
*                    +------+------------------+--------------------+ *
*                    0       4                 12                  79 *
*                                                                     *
*                    WHERE :                                          *
*                       NAME IS:                                      *
*                          1) A ONE TO FOUR CHARACTER ALPHAMERIC      *
*                             SUBSYSTEM NAME. IF THE NAME IS LESS     *
*                             THAN FOUR CHARACTERS IT MUST BE LEFT    *
*                             JUSTIFIED AND PADDED WITH BLANKS.       *
*                          OR                                         *
*                          2) A DUMMY ENTRY SIGNIFIED BY THE FIRST    *
*                             BYTE OF THE NAME BEING BLANK.           *
*                          OR                                         *
*                          3) AN END OF TABLE INDICATION SIGNIFIED BY *
*                             A NAME FIELD OF X'FFFFFFFF'.            *
*                                                                     *
*                       ENTRY POINT NAME IS:                          *
*                          1) A ONE TO EIGHT CHARACTER ENTRY NAME     *
*                             CORRESPONDING TO THE ENTRY POINT OF THE *
*                             INITIALIZATION ROUTINE FOR THE          *
*                             ASSOCIATED SUBSYSTEM. IF THE NAME IS    *
*                             LESS THAN EIGHT BYTES IT MUST BE LEFT   *
*                             JUSTIFIED AND PADDED WITH BLANKS.       *
*                                                                     *
*                             THE ENTRY NAME MUST BE A MEMBER NAME OR *
*                             AN ALIAS IN THE DIRECTORY OF            *
*                             SYS1.LINKLIB OR A LIBRARY CONCATENATED  *
*                             TO LINKLIB VIA A LNKSTXX MEMBER OF      *
*                             SYS1.PARMLIB.                           *
*                                                                     *
*                             THE SPECIFIED ENTRY POINT WILL BE       *
*                             INVOKED USING THE STANDARD CALLING      *
*                             SEQUENCE TO PASS THE                    *
*                             CORRESPONDING SSCVT FOR THE SUBSYSTEM.  *
*                          OR                                         *
*                          2) A NULL ENTRY NAME INDICATED BY          *
*                             SPECIFYING THE FIRST CHARACTER OF THE   *
*                             ENTRY NAME AS BLANK.                    *
*                                                                     *
*                       COMMENTS ARE:                                 *
*                             BYTES 12 THRU 79 OF THE TABLE ENTRY ARE *
*                             FOR COMMENTS AND ARE IGNORED.           *
*                                                                     *
*                                                                     *
*                    A DUMMY ENTRY IS USED TO RESERVE SPACE IN        *
*                    THE TABLE. AN SSCVT IS NOT BUILT AND THE         *
*                    INITIALIZATION ROUTINE WILL NOT BE INVOKED.      *
*                                                                     *
*                    A TABLE ENTRY HAVING A VALID NAME FIELD AND A    *
*                    NULL ENTRY NAME WILL CAUSE ONLY THE SSCVT TO BE  *
*                    BUILT. NO INITIALIZATION WILL BE DONE.           *
*                                                                     *
* NOTES                                                               *
*      CHARACTER CODE DEPENDENCIES - THIS MODULE HAS BEEN CODED IN    *
*                    SUCH A WAY THAT IF THE EXTERNAL CHARACTER SET IS *
*                    CHANGED FROM EBCDIC, REASSEMBLY WILL YIELD A     *
*                    VALID MODULE.                                    *
*                                                                     *
*      PATCH LABEL - PATCH                                            *
*                                                                     *
* MODULE TYPE      - CSECT                                            *
*      PROCESSOR   - ASSEMBLER                                        *
*      MODULE SIZE - X'246' BYTES                                     *
*      ATTRIBUTES  - NOT EXECUTABLE. IN LOAD MODULE IEFJSSNT OF THE   *
*                    SYS1.LINKLIB DATA SET                            *
*                                                                     *
* ENTRY POINTS     - NONE                                             *
*                                                                     *
* INPUT            - NONE                                             *
*                                                                     *
* OUTPUT           - NONE                                             *
*                                                                     *
* EXITS-NORMAL     - NONE                                             *
*                                                                     *
* EXITS-ERROR      - NONE                                             *
*                                                                     *
* EXTERNAL REFERENCES - NONE                                          *
*                                                                     *
* TABLES/WORK AREAS - NO EXTERNAL AREAS. THIS IS THE SUBSYSTEM        *
*                     NAMES TABLE.                                    *
*                                                                     *
* CHANGE ACTIVITY  - G29ANSS FOR ALL STATEMENTS NOT OTHERWISE         *
*                    FLAGGED.                                  @G29ANSS
*                                                                     *
* SYSGEN           - THIS MODULE IS INCLUDED AT SYSGEN FROM DLIB      *
*                    AOSB3 USING SYSGEN MACRO SGIEF440.               *
*                                                                     *
* MESSAGES         - NONE                                             *
*                                                                     *
* ABEND CODES      - NONE                                             *
*                                                                     *
***********************************************************************
         EJECT
*************************************************************** TMVS801
*        1ST ENTRY:  JESX test JES2 subsystem.                * TMVS801
*************************************************************** TMVS801
         DC    CL4'JESX'           SUBSYSTEM NAME FIELD         TMVS801
         DC    CL8' '              ENTRY POINT NAME FIELD       TMVS801
         DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
*************************************************************** TMVS801
*        2ND ENTRY:  JESY test JES2 subsystem.                * TMVS801
*************************************************************** TMVS801
         DC    CL4'JESY'           SUBSYSTEM NAME FIELD         TMVS801
         DC    CL8' '              ENTRY POINT NAME FIELD       TMVS801
         DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
*************************************************************** TMVS801
*        3ND ENTRY:  MUB console TSO subsystem.               * TMVS801
*************************************************************** TMVS801
         DC    CL4'MUB'            SUBSYSTEM NAME FIELD         TMVS801
         DC    CL8' '              ENTRY POINT NAME FIELD       TMVS801
         DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
*************************************************************** TMVS801
*        4TH ENTRY:  TOP1 initialization sybsystem.           * TMVS801
*************************************************************** TMVS801
***** Do not remove the comments from this entry unless         TMVS801
***** you intend to supply an SYSTIR00 load module as           TMVS801
***** initialization routine, otherwise you will get            TMVS801
***** an error message during master scheduler initialization.  TMVS801
**       DC    CL4'TOP1'           SUBSYSTEM NAME FIELD         TMVS801
**       DC    CL8'SYSTIR00'       ENTRY POINT NAME FIELD       TMVS801
**       DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
*************************************************************** TMVS801
*        5TH ENTRY:  MOUNT at MSTR subsystem.                 * TMVS801
*************************************************************** TMVS801
         DC    CL4'MOUN'           SUBSYSTEM NAME FIELD         TMVS801
         DC    CL8' '              ENTRY POINT NAME FIELD       TMVS801
         DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
*************************************************************** TMVS801
*        6TH ENTRY:  JES9 backup JES2 subsystem.              * TMVS801
*************************************************************** TMVS801
         DC    CL4'JES9'           SUBSYSTEM NAME FIELD         TMVS801
         DC    CL8' '              ENTRY POINT NAME FIELD       TMVS801
         DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
*************************************************************** TMVS801
*        7TH ENTRY:  TPRI set primary subsystem name.         * TMVS801
*************************************************************** TMVS801
         DC    CL4'TPRI'           SUBSYSTEM NAME FIELD         TMVS801
         DC    CL8' '              ENTRY POINT NAME FIELD       TMVS801
         DC    CL68' '             COMMENT FIELD                TMVS801
         SPACE 2                                                TMVS801
***********************************************************************
*        1ST DUMMY ENTRY                                              *
***********************************************************************
         DC    CL4' '              SUBSYSTEM NAME FIELD
         DC    CL8' '              ENTRY POINT NAME FIELD
         DC    CL68' '             COMMENT FIELD
         SPACE 2
***********************************************************************
*        2ND DUMMY ENTRY                                              *
***********************************************************************
         DC    CL4' '              SUBSYSTEM NAME FIELD
         DC    CL8' '              ENTRY POINT NAME FIELD
         DC    CL68' '             COMMENT FIELD
         SPACE 2
***********************************************************************
*        3RD DUMMY ENTRY                                              *
***********************************************************************
         DC    CL4' '              SUBSYSTEM NAME FIELD
         DC    CL8' '              ENTRY POINT NAME FIELD
         DC    CL68' '             COMMENT FIELD
         SPACE 2
***********************************************************************
*        4TH DUMMY ENTRY                                              *
***********************************************************************
         DC    CL4' '              SUBSYSTEM NAME FIELD
         DC    CL8' '              ENTRY POINT NAME FIELD
         DC    CL68' '             COMMENT FIELD
         SPACE 2
***********************************************************************
*        THIS ENTRY CAN NOT BE USED. IT MARKS THE END OF THE TABLE.   *
***********************************************************************
         DC    XL4'FFFFFFFF'
         DC    CL8' '
         DC    CL68' '
         SPACE 2
PATCH    DC    CL80'*** IEFJSSNT PATCH AREA ***'  LENGTH IS SIZE OF    X
                                                  ONE ENTRY
         SPACE 2
         MODID BRANCH=NO
         SPACE 2
         EJECT
***********************************************************************
*        THIS DSECT MAPS AN ENTRY IN MODULE IEFJSSNT                  *
***********************************************************************
JSSNTENT DSECT
JSSNTNAM DS    CL4                 SUBSYSTEM NAME FIELD
JSSNTINT DS    CL8                 INITIALIZATION ENTRY PT. NAME FIELD
JSSNTCOM DS    CL68                COMMENT FIELD
JSSNTLEN EQU   *-JSSNTNAM          LENGTH OF ENTRY IN IEFJSSNT
         END   IEFJSSNT
??
//SMPCNTL  DD  *
  RECEIVE S(TMVS801)
        .
//*
//APPLYCK  EXEC SMPAPP,WORK='SYSALLDA'
//SMPCNTL  DD  *
  APPLY S(TMVS801)
        CHECK
        BYPASS(ID)
        .
//*
//APPLY    EXEC SMPAPP,COND=(0,NE),WORK='SYSALLDA'
//SMPCNTL  DD  *
  APPLY S(TMVS801)
        DIS(WRITE)
        .
//
